Loading...
Searching...
No Matches
add_blk.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for add_blk.h:

Go to the source code of this file.

## Classes

class | gr::blocks::add_blk< T >
| output = sum(input[0], input[1], ..., input[M-1]) More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef add_blk< std::int16_t > | gr::blocks::add_ss
typedef add_blk< std::int32_t > | gr::blocks::add_ii
typedef add_blk< gr_complex > | gr::blocks::add_cc
typedef add_blk< float > | gr::blocks::add_ff